MIME headers are not fully correct
Target version:    

Resolution: Wont fix Affected version:  

Description

Hello,

I noticed that gmail does not recognize redmine emails as directed to me.

This is due to the following headers:

From: noreply@redmine.org

Bcc: edavis@xx.com, alon.barlev@xxx.com, joe@xxx.com, arthaey+redmine@xx.com, bradley@xxx.com

1. Please notice that I can see the Bcc, which I should not usually be allowed to see.

2. There is no To: header.

I think that every time you send an email message you should add only To: header which should contain the destination address,

and drop the Bcc header.

Thanks!

History

#1 - 2009-01-08 23:49 - Dan Cameron

- File SproutVenture_Mail_-__Redmine_-_Help__RE__gmail_and_email.yml_-.png added

- File sproutventure.com.txt added

I can verify this issue.

Attached is an image of what is shown in gmail (I use Google Apps) and the raw email.

#2 - 2009-01-09 09:37 - Paul Rivier

Hi Dan,

this is a public internet page therefore it is discouraged to publish other people email adresses. Harvesting is a fast and automated operation, so

please remove at least the text file. Thank you.

#3 - 2009-01-18 13:14 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

If you want Redmine to use the "To" field, uncheck "Blind carbon copy recipients (bcc)" in application settings.

#4 - 2009-01-18 13:14 - Jean-Philippe Lang

- File deleted (sproutventure.com.txt)

#5 - 2009-01-18 13:14 - Jean-Philippe Lang

- File deleted (SproutVenture_Mail_-__Redmine_-_Help__RE__gmail_and_email.yml_-.png)

#6 - 2009-01-30 14:23 - Anonymous

Hi Jean-Philippe, one point mentioned in the description hasn't been addressed.  When I receive an e-mail from Redmine, I can see the 'bcc' field with

everyone's e-mail addresses in.  This field should not be visible in mail clients.  When I send e-mails from my mail client (Mail.app on OS X), the

2025-05-02 1/2

mailto:noreply@redmine.org
mailto:edavis@xx.com
mailto:alon.barlev@xxx.com
mailto:joe@xxx.com
mailto:arthaey+redmine@xx.com
mailto:bradley@xxx.com


recipients can't see the bcc field.

The point of using BCC fields is so that e-mail addresses aren't disclosed, but Redmine is disclosing them even when set to use 'bcc'.

Please can this be re-opened as a security issue?  Because it means my e-mail address has been disclosed to many users as Redmine has sent out

e-mails about tickets I'm interested in.

Thank you

Russell Hind
